الانتقال إلى المحتوى الرئيسي
GET
/
v1
/
public
/
accounts
/
{account_id}
/
domains
/
{domain}
الحصول على نطاق
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains/{domain} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "outbound_routing_ready": true,
  "status": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "auto_renew": false,
  "created_at": "<string>",
  "dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dns_records": [
    {
      "id": 123,
      "name": "<string>",
      "ttl": 123,
      "type": "<string>",
      "value": "<string>",
      "is_system_managed": false,
      "priority": 123
    }
  ],
  "inbound_tenant_external_id": "<string>",
  "inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "inbound_tenant_name": "<string>",
  "inbound_tenant_type": "<string>",
  "mailboxes": [
    {
      "active": true,
      "email": "<string>",
      "first_name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "last_name": "<string>"
    }
  ],
  "redirect_url": "<string>",
  "tags": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

التفويضات

Authorization
string
header
مطلوب

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

معلمات المسار

account_id
string<uuid>
مطلوب
domain
string
مطلوب

الاستجابة

id
string<uuid>
مطلوب

المجال UUID

name
string
مطلوب

اسم المجال

outbound_routing_ready
boolean
مطلوب

ما إذا كان التوجيه الصادر جاهزًا أم لا

status
string
مطلوب

حالة دورة حياة المجال

workspace_id
string<uuid>
مطلوب

مساحة العمل UUID التي تحتوي على المجال

auto_renew
boolean
افتراضي:false

ما إذا كان التجديد التلقائي للنطاق ممكّنًا أم لا

created_at
string | null

الطابع الزمني لإنشاء النطاق

dedicated_ip_id
string<uuid> | null

تم تخصيص IP UUID، إن وجد

dns_records
DomainDnsRecordResponse · object[]

سجلات DNS للمجال

inbound_tenant_external_id
string | null

معرف الموفر الخارجي للمستأجر الداخلي

inbound_tenant_id
string<uuid> | null

المستأجر الداخلي UUID، إذا تم تعيينه

inbound_tenant_name
string | null

اسم عرض المستأجر الوارد، إذا تم تعيينه

inbound_tenant_type
string | null

نوع المستأجر الوارد، إذا تم تعيينه

mailboxes
DomainMailboxSummary · object[]

علب البريد على المجال

redirect_mode
enum<string> | null

تكوين وضع إعادة التوجيه، إن وجد

الخيارات المتاحة:
301,
302,
iframe
redirect_url
string | null

عنوان URL لإعادة التوجيه الذي تم تكوينه، إن وجد

tags
DomainTagResponse · object[]

العلامات المرفقة بالمجال

updated_at
string | null

الطابع الزمني لآخر تحديث للنطاق